解决centos下nodejs使用了ccap验证码报错version `GLIBC_2.14' not found的问题

in 编程
关注公众号【好便宜】( ID:haopianyi222 ),领红包啦~
阿里云,国内最大的云服务商,注册就送数千元优惠券:https://t.cn/AiQe5A0g
腾讯云,良心云,价格优惠: https://t.cn/AieHwwKl
搬瓦工,CN2 GIA 优质线路,搭梯子、海外建站推荐: https://t.cn/AieHwfX9

ccap是一个nodejs生成验证码的插件,使用很方便,但是由于依赖GLIBC_2.14,而centos下默认是没有2.14版本的(比如阿里云下),所以在项目迁移的时候再启动就会报错。

/lib64/libc.so.6: version `GLIBC_2.14' not found

解决办法是安装一下GLIBC_2.14就可以了。

先查看一下当前系统glibc版本情况:

[root@iZ62cxco7zdZ build]# strings /lib64/libc.so.6 |grep GLIBC
GLIBC_2.2.5
GLIBC_2.2.6
GLIBC_2.3
GLIBC_2.3.2
GLIBC_2.3.3
GLIBC_2.3.4
GLIBC_2.4
GLIBC_2.5
GLIBC_2.6
GLIBC_2.7
GLIBC_2.8
GLIBC_2.9
GLIBC_2.10
GLIBC_2.11
GLIBC_2.12
GLIBC_PRIVATE

发现确实没有2.14版本的,那么就去下载一个。去官网下载http://www.gnu.org/software/l...或者直接(最好是自建一个目录)

cd /home
mkdir soft
cd soft
wget http://ftp.gnu.org/gnu/glibc/glibc-2.14.tar.gz

然后:

[root@iZ62cxco7zdZ soft]# tar xvf glibc-2.14.tar.gz
[root@iZ62cxco7zdZ soft]# cd glibc-2.14
[root@iZ62cxco7zdZ glibc-2.14]# mkdir build
[root@iZ62cxco7zdZ glibc-2.14]# cd ./build
[root@iZ62cxco7zdZ build]# ../configure --prefix=/opt/glibc-2.14
[root@iZ62cxco7zdZ build]# make -j4
[root@iZ62cxco7zdZ build]# make install

一切就绪之后再修改一下环境变量:

vi ~/.bashrc
//在最后一行添上:
export LD_LIBRARY_PATH=/opt/glibc-2.14/lib:$LD_LIBRARY_PATH

生效方法:(有以下两种)
1、关闭当前终端窗口,重新打开一个新终端窗口就能生效
2、输入“source ~/.bashrc”命令,立即生效
有效期限:永久有效
用户局限:仅对当前用户

再次启动项目:

[root@iZ62cxco7zdZ epadmin]# npm start

> web@1.1.0 start /var/www/epadmin
> node ./bin/www

Listening on port 8080

OK,大功告成!

关注公众号【好便宜】( ID:haopianyi222 ),领红包啦~
阿里云,国内最大的云服务商,注册就送数千元优惠券:https://t.cn/AiQe5A0g
腾讯云,良心云,价格优惠: https://t.cn/AieHwwKl
搬瓦工,CN2 GIA 优质线路,搭梯子、海外建站推荐: https://t.cn/AieHwfX9
扫一扫关注公众号添加购物返利助手,领红包
Comments are closed.

推荐使用阿里云服务器

超多优惠券

服务器最低一折,一年不到100!

朕已阅去看看